Luxor PlatformAPI DocumentationCommanderParts

Get part stock series

Returns a monthly restocked/consumed/total-stock time series for a part, at the part's own site.

GET
/v2/commander/parts/{part_id}/stock/series

Authorization

LuxorAPIKey
authorization<token>

Use your API key here.

In: header

Path Parameters

part_id*string

Part id (uuid).

Formatuuid

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v2/commander/parts/497f6eca-6276-4993-bfeb-53cbbbba6f08/stock/series"
{  "points": [    {      "month": "2026-04",      "restocked": 20,      "consumed": 6,      "total_stock": 34    }  ]}
{  "statusCode": 400,  "code": "FST_ERR_VALIDATION",  "error": "Bad Request",  "message": "body/end_date Required"}
{  "statusCode": 403,  "code": "7",  "error": "Forbidden",  "message": "[permission_denied] site_id does not belong to this workspace"}
{  "statusCode": 404,  "code": "5",  "error": "Not Found",  "message": "[not_found] agent not found"}